import java.util.Arrays;
import java.util.List;

class FacadeMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Fasada, typy pojazdów");
        List<Vehicle> vehicles = Arrays.asList(new DieselVehicle(), new PetrolVehicle());
        for (var vehicle: vehicles){
            vehicle.start();
            vehicle.refuel();
        }
    }
}
